global:
  vpcId: vpc-043ed6ca2955dd897
  istio:
    enabled: false

  jaeger:
    enabled: false
    esUrl: https://vpc-firaoqtbvvqxmuuiwdgzpgeldwao-bgykekya3z6idzpihxclaljmoa.us-west-2.es.amazonaws.com:443

  services:
    backend:
      build:
        context: ci/release_service
      imageTag: release-service
      containerPort: 8081
      service:
        type: ClusterIP
        port: 8081
      livenessProbe:
        failureThreshold: 5
        httpGet:
          path: /v1/health/status
          port: http
          scheme: HTTP
        initialDelaySeconds: 30
        periodSeconds: 30
        successThreshold: 1
        timeoutSeconds: 3
      readinessProbe:
        failureThreshold: 5
        httpGet:
          path: /v1/health/status
          port: http
          scheme: HTTP
        initialDelaySeconds: 30
        periodSeconds: 30
        successThreshold: 1
        timeoutSeconds: 3
      env:
        RELEASE_SERVICE__POSTGRES__DATABASE_NAME:
          value: "release_service"
        RELEASE_SERVICE__POSTGRES__USERNAME:
          value: "release_service"
        RELEASE_SERVICE__RELEASE_SERVICE_CONTROLLER__GIT_USER:
          valueFrom:
            secretKeyRef:
              name: zooxbors-git-token
              key: user
        RELEASE_SERVICE__RELEASE_SERVICE_CONTROLLER__GIT_TOKEN:
          valueFrom:
            secretKeyRef:
              name: zooxbors-git-token
              key: token
      args:
        - migrate-and-run
    frontend:
      build:
        context: ci/release_service_frontend

      replicaCount: 1

      containerPort: 80

      service:
        type: ClusterIP
        port: 80

      env:
        RELEASE_SERVICE_BACKEND:
          valueFrom:
            configMapKeyRef:
              key: RELEASE_SERVICE_BACKEND
              name: env-vars
        RELEASE_SERVICE_FRONTEND_PORT:
          value: "80"

zoox-base:
  enabled: true

ci-pipeline:
  enabled: false
  syncHook: true

rds:
  enabled: false
  fullnameOverride: postgresql-rds
  clusterServicePlanExternalName: custom

postgresql:
  enabled: false

  image:
    tag: "9.6"

  nameOverride: postgresql
  fullnameOverride: postgresql

  postgresqlUsername: postgres
  postgresqlPassword: secret

vault-link:
  secrets:
    zooxbors-git-token: true
